# SPDX-FileCopyrightText: 2022 Georg-August-Universität Göttingen
#
# SPDX-License-Identifier: CC0-1.0
---
version: "3.5"

services:
  proxy:
    image: docker.io/nginx:1.24
    volumes:
      - type: bind
        source: ./conf/nginx.conf
        target: /etc/nginx/nginx.conf
        read_only: true
    ports:
      - "3000:3000"

  roger:
    image: docker.io/node:18.16
    command: [ "npm", "run", "start" ]
    working_dir: /app/preview
    volumes:
      - type: bind
        source: ./
        target: /app

  rdf4j:
    image: docker.io/eclipse/rdf4j-workbench:4.2.3
    volumes:
      # https://hub.docker.com/r/eclipse/rdf4j-workbench
      - rdf4j_data:/var/rdf4j
      - rdf4j_logs:/usr/local/tomcat/logs
    ports:
      - "8080:8080"

volumes:
  rdf4j_data: {}
  rdf4j_logs: {}
